eBranch 

Browser Compatibility

Below is the information about browser versions that support TLS 1.2 for our eBranch platform. We recommend you use IE, Chrome, or Firefox and ensure you have the most recent version. 

 

 

Operating Systems supporting TLS 1.2:

  • Windows 7 and above
  • Mac OS X 10.9 and above

Browsers supporting TLS 1.2:

  • Google Chrome (Version 30+)
  • Mozilla Firefox (Version 27+)
  • Microsoft Internet Explorer (Version 11+)
  • Opera v17+
  • Apple Safari (Version 7+)

Mobile

  • iOS: latest two versions
  • Android: latest two versions

Mobile Browsers supporting TLS 1.2:

  • Google Android OS Browser (Android 8.x+)
  • Google Chrome for Android (versions 30-49)
  • Mozilla Firefox (Firefox for Mobile) (Version 27+)
  • Microsoft Internet Explorer Mobile (version 11)
  • Apple Safari Mobile (iOS 5+)

Upgrade Browsers List:

 

 

Back to Top